### A free/open-source library for quantitative finance

Classes
ql/methods/finitedifferences/stepcondition.hpp File Reference

conditions to be applied at every time step More...

`#include <ql/math/array.hpp>`
`#include <ql/instruments/payoffs.hpp>`
Include dependency graph for stepcondition.hpp:

## Classes

class | StepCondition< array_type >
| condition to be applied at every time step More...
class | NullCondition< array_type >
| null step condition More...

## Detailed Description

conditions to be applied at every time step